from SWGui import *
Bild=SWImage(width=400,height=400)

# Eckpunkte eines Quaders
punkte=[[-5,-3,3],[1,-3,3],[-5,3,3],[1,3,3],
        [-5,-3,19], [1,-3,19], [-5,3,19],[1,3,19]]

def projeziere(P):
    [Px,Py,Pz]=P
    return [Px+Pz/(1.0+Pz)*Px, Py+Pz/(1.0+Pz)*Py]

projPunkte= [ projeziere(x) for x in punkte]

for [x,y] in projPunkte:
    Bild.drawCircleW(x,y,0.2,filled=True)


kanten=[[0,1],[0,2],[1,3],[2,3],
        [4,5],[4,6],[5,7],[6,7],
        [0,4],[1,5],[2,6],[3,7]
        ]

for [i,j] in kanten:
    A=projPunkte[i]
    B=projPunkte[j]
    Bild.drawLineW(A[0],A[1],B[0],B[1])

SWstart()

